Browser chooses wrong JRE


S

Stefan Ram

A browser FAQ says:

»After you install JRE, K-Meleon automatically detects
your JRE installation and no other configuration is
necessary.«

However, I have JRE 6 and 7 installed, the browser chooses
JRE 7, but it needs JRE 6 (JRE 7 doesn't seem to work with
this browser). So how can I make the browser to choose JRE 6?

I already tried the Java settings applet in the Windows
control panel, but it won't let me »remove« or »deactivate«
the JRE 7. (The activate-checkmark can be removed, but comes
back, when the window is opened again.)

Is there some place in the Windows registry, where I can
tell browsers which plug-in to use for Java? Some of the
JRE7 DLLs K-Meleon uses are: npdeployJava1.dll, npjp2.dll,
npoji610.dll, npjpi170.dll. There seems to be no place in
the browser's configuration, where I can change this,
because the browser insists on detecting the JRE /automatically/.
 
Ad

Advertisements

Joined
Sep 13, 2010
Messages
2
Reaction score
0
Could you just try out typing java -version in command line? That could be the version used.
 
Ad

Advertisements

R

Roedy Green

However, I have JRE 6 and 7 installed, the browser chooses
JRE 7, but it needs JRE 6 (JRE 7 doesn't seem to work with
this browser). So how can I make the browser to choose JRE 6?

When that sort of stuff happens, I have found the only way out is to
uninstall all JRE/JDKs, delete remaining files, and scour the
registry, then reinstall, oldest first.

See http://mindprod.com/jgloss/registry.html
 

Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments. After that, you can post your question and our members will help you out.

Ask a Question

Top